program fjf215;
{$setlimit=131072}
var
  a:set of shortint;
  b:set of integer(20);
begin
  if (bitsizeof(a) = 1 shl bitsizeof(shortint)) and
     (bitsizeof(b) = 131072)
    then writeln ('OK')
    else writeln ('Failed: ', bitsizeof(a), ' ', bitsizeof(b))
end.
